// Rohde&Schwarz BOL = National VP-55122A Scope foot
//


$fn=50;

base();
//x();
module base() {
  mink=5;
  difference() {
    union() {
      poly(31.25, 30, 31.5, 6, mink);
      translate([0, 3 ,14]) poly(28.8, 24, 25.8, 2.2, mink);
      translate([0, 6 ,23.4]) poly(28, 24, 22.7, 2.2, mink);
      translate([0, 9 ,33]) poly(28, 24, 22.2, 4.3, mink);
      translate([24.5/2, 11,-3]) cylinder(d=2.75, h=3);
      translate([-24.5/2, 11,-3]) cylinder(d=2.75, h=3);
      translate([0, 0, 6]) oval(13.6, 28, 27);
//      translate([0, 0, 6]) x();
    }
    translate([0, 11, 0]) cylinder(d=5, h=6.1);
    translate([0, 0, 6]) oval(9.5, 22, 31.4);
    translate([-40,0,2]) 
      rotate([90,0,90]) 
        linear_extrude(height=80) 
          polygon([[0,0],[11,36],[-30,36],[-30,0],[0,0]]);
  }
}

module poly(x1, x2, y, z, mink) {
  points=[[0,mink/2],[(x1-mink)/2,mink/2],[(x2-mink)/2, y-mink/2],[-(x2-mink)/2,y-mink/2],[-(x1-mink)/2,mink/2],[0,mink/2]];
  minkowski() {
    linear_extrude(height=z) polygon(points);
    cylinder(d=mink,h=0.001);
  }
}

module ovalshell(do, di, y, z) {
  difference() {
    oval(do, y, z);
    oval(di, y, z);
  }
}

module oval(d, y, z) {
  hull() {
    translate([0, y/2, 0]) cylinder(d=d, h=z);
    translate([0, -y/2, 0]) cylinder(d=d, h=z);
  }
}

module x() {
  difference() {
    oval(13.6, 22, 27);
    translate([-20,0,0]) 
      rotate([90,0,90]) 
        linear_extrude(height=40) 
          polygon([[0,0],[9,27],[-20,27],[-20,0],[0,0]]);
  }
}


